Page MenuHomePhabricator

Switch Lingua Libre's domain to lingualibre.org
Closed, ResolvedPublicSpike

Description

After several years being cybersquatted, the domain [[ lingualibre.org | lingualibre.org ]] could finally be rent by Wikimedia France a few days ago.

Why?
For a single reason: a " .org" domain is more inclusive than a ".fr" one, less centred on France. Also, this is the TLD every Wikimedia projects use.

When?
It would be great from a communication point of view to do it when we deploy the new user interface T240552, probably before the end of April.

Tasks to make it effective

  • [DONE] Copy the DNS zone from old to new domain
  • [DONE] Add the .org domain to the nginx configuration
  • [DONE] Update the deployment script
  • When we're ready to do the switch: update LinguaLibre's LocalSettings.php config file
    • [DONE] Change domain name
    • [DONE] Change OAuth tokens
    • [DONE] Change nginx conf for the old lingualibre.fr domain to redirect to lingualibre.org

Other tasks

  • Update every links on Wikimedia projects pointing to Lingua Libre (especialy those in templates on Commons)
  • Communicate about this change broadly
    • on Lingua Libre itself (site notice + chat room)
    • on Lingua Libre's mailing lists
    • on Wiktionaries village pumps
    • ...

Related Objects

Event Timeline

0x010C created this task.Apr 10 2020, 5:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2020, 5:04 PM
0x010C triaged this task as High priority.Apr 10 2020, 5:05 PM
0x010C updated the task description. (Show Details)
0x010C changed the subtype of this task from "Task" to "Spike".
0x010C updated the task description. (Show Details)May 9 2020, 10:28 AM
0x010C updated the task description. (Show Details)May 13 2020, 11:26 AM
0x010C closed this task as Resolved.Jun 2 2020, 9:23 AM

Switch done on Friday 29 May 2020 between 15h and 15h44 (CEST). Now domain lingualibre.fr redirect to lingualibre.org.

See commits 97cb1b45, 34de6626 and 8304e00e.

0x010C updated the task description. (Show Details)Jun 2 2020, 9:24 AM
0x010C updated the task description. (Show Details)